/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#include	"task.h"
#include	"netutils.h"
#include	"lock_level.h"
#include	"msequence.h"


SEM netutils_lock;


void
netdb_task()
{
	init_msequence();
	lock_task(netutils_lock);
	wakeup_task((int)netdb_task);
	unlock_task(netutils_lock,"netdb_task");
	ms_loop();
}

void
init_netutils()
{
	netutils_lock = new_lock(LL_NETUTILS);
	init_resolv();
}
